
package com.tmerclub.cloud.user.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.util.Date;
import java.util.List;

/**
 * 弹窗广告VO
 * @author TRACK
 */
public class CostPerPopupVO extends BaseVO {
    @Serial
    private static final long serialVersionUID = 1L;

    @Schema(description = "弹窗广告id")
    private Long popupId;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "弹窗名称")
    private String popupName;

    @Schema(description = "状态  1.未开始 2.投放中 3.已结束")
    private Integer status;

    @Schema(description = "触发页面类型 1.平台首页 2.会员中心 3.支付成功 4.店铺首页 5.商品详情")
    private Integer pageType;

    @Schema(description = "弹窗图片")
    private String popupPic;

    @Schema(description = "跳转页面")
    private String jumpUrl;

    @Schema(description = "推送用户类型 0.所有用户 1.免费会员 2.付费会员 3.店铺客户")
    private Integer userType;

    @Schema(description = "推送开始时间")
    private Date startTime;

    @Schema(description = "推送结束时间")
    private Date endTime;

    @Schema(description = "推送频次 0.永久一次 1.每次进入 2.自定义频次")
    private Integer pushFrequency;

    @Schema(description = "按x天推送")
    private Integer dayFrequency;

    @Schema(description = "按周推送 eg. 1,2 代表周日，周一")
    private String weekFrequency;

    @Schema(description = "关联列表")
    private List<PopupRelateVO> popupRelateList;

    public Long getPopupId() {
        return popupId;
    }

    public void setPopupId(Long popupId) {
        this.popupId = popupId;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public String getPopupName() {
        return popupName;
    }

    public void setPopupName(String popupName) {
        this.popupName = popupName;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getPageType() {
        return pageType;
    }

    public void setPageType(Integer pageType) {
        this.pageType = pageType;
    }

    public String getPopupPic() {
        return popupPic;
    }

    public void setPopupPic(String popupPic) {
        this.popupPic = popupPic;
    }

    public String getJumpUrl() {
        return jumpUrl;
    }

    public void setJumpUrl(String jumpUrl) {
        this.jumpUrl = jumpUrl;
    }

    public Integer getUserType() {
        return userType;
    }

    public void setUserType(Integer userType) {
        this.userType = userType;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Integer getPushFrequency() {
        return pushFrequency;
    }

    public void setPushFrequency(Integer pushFrequency) {
        this.pushFrequency = pushFrequency;
    }

    public Integer getDayFrequency() {
        return dayFrequency;
    }

    public void setDayFrequency(Integer dayFrequency) {
        this.dayFrequency = dayFrequency;
    }

    public String getWeekFrequency() {
        return weekFrequency;
    }

    public void setWeekFrequency(String weekFrequency) {
        this.weekFrequency = weekFrequency;
    }

    public List<PopupRelateVO> getPopupRelateList() {
        return popupRelateList;
    }

    public void setPopupRelateList(List<PopupRelateVO> popupRelateList) {
        this.popupRelateList = popupRelateList;
    }

    @Override
    public String toString() {
        return "CostPerPopupVO{" +
                "popupId=" + popupId +
                ", shopId=" + shopId +
                ", popupName='" + popupName + '\'' +
                ", status=" + status +
                ", pageType=" + pageType +
                ", popupPic='" + popupPic + '\'' +
                ", jumpUrl='" + jumpUrl + '\'' +
                ", userType=" + userType +
                ", startTime=" + startTime +
                ", endTime=" + endTime +
                ", pushFrequency=" + pushFrequency +
                ", dayFrequency=" + dayFrequency +
                ", weekFrequency='" + weekFrequency + '\'' +
                ", popupRelateList=" + popupRelateList +
                '}';
    }
}
